package io.gitlab.jfronny.libjf.config;

import com.terraformersmc.modmenu.api.ConfigScreenFactory;
import com.terraformersmc.modmenu.api.ModMenuApi;
import io.gitlab.jfronny.libjf.Libjf;

import java.util.HashMap;
import java.util.Map;

public class ModMenu implements ModMenuApi {
    @Override
    public Map<String, ConfigScreenFactory<?>> getProvidedConfigScreenFactories() {
        Map<String, ConfigScreenFactory<?>> factories = new HashMap<>();
        for (Map.Entry<String, Config> entry : Libjf.getConfigs().entrySet()) {
            if (!Libjf.MOD_ID.equals(entry.getKey()))
                factories.put(entry.getKey(), s -> new ConfigScreen(s, entry.getValue()));
        }
        return factories;
    }

    @Override
    public ConfigScreenFactory<?> getModConfigScreenFactory() {
        for (Map.Entry<String, Config> entry : Libjf.getConfigs().entrySet()) {
            if (Libjf.MOD_ID.equals(entry.getKey()))
                return s -> new ConfigScreen(s, entry.getValue());
        }
        new Exception("Could not find own config screen, this is bad").printStackTrace();
        return null;
    }
}
